<div dir="ltr"><div class="gmail_default" style="font-size:small">aah if only it was that easy. it's an age old problem.<br></div><div class="gmail_default" style="font-size:small">Sadly each linux distro works quite differently to the other.</div><div class="gmail_default" style="font-size:small">An application compiled for ubuntu for example will not work on Fedora in the same way a MS windows app won't either.</div><div class="gmail_default" style="font-size:small">The architecture is just different., yes it's still Linux but a different type.<br></div><div class="gmail_default" style="font-size:small">That's why each distro has it's own version on it's repo.</div><div class="gmail_default" style="font-size:small">Debian is still on Gambas 3.12 , Linux mint is on 3.14 and the latest Ubuntu has 3.15</div><div class="gmail_default" style="font-size:small"></div><div class="gmail_default" style="font-size:small"></div><div class="gmail_default" style="font-size:small">Raspian is a derivative of Debian so it's possible the Debian install instructions/dependencies may work for Raspian.</div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">Downloading and compiling isn't that hard really, the hardest most difficult thing about it is installing the correct libraries/dependencies needed to compile as even though they are listed for many distro's on the gambas page they become outdated quite quickly and a simple copy and paste of the listed requirements fails.<br></div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">I did this very thing yesterday to upgrade my Debian (buster) to the latest Gambas 3.15<br></div><div class="gmail_default" style="font-size:small">I copied the list of requirements and 'apt-get' installed but apt failed on 4 of the things it listed that were not found.</div><div class="gmail_default" style="font-size:small">I had to search for the changes in names of the libraries and adjust as needed.<br></div><div class="gmail_default" style="font-size:small"></div><div class="gmail_default" style="font-size:small">Raspian is basically Debian. (Raspberry + Debian = Raspian)<br></div><div class="gmail_default" style="font-size:small">I updated the Debian instructions on the Gambas wiki yesterday to account for the current library name changes and added Buster to the list as it was still only showing info for Debian Stretch.</div><div><div style="font-size:small" class="gmail_default">The dependency list for debian is now (as of yesterday) okay and will not fail (at least on Debian)</div><br></div><div><div style="font-size:small" class="gmail_default">Maybe the new dependency list i added for Debian might work on Raspian?<br></div><br></div><div></div><div class="gmail_default" style="font-size:small">But back to your original question, an online tarball that anyone could download simply won't work as the independant Linux architectures are not the same.</div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">check out <a href="http://gambaswiki.org/wiki/install/debian#t17">http://gambaswiki.org/wiki/install/debian#t17</a></div><div class="gmail_default" style="font-size:small">If the list of dependencies from that page installs for you then you're only 6 commands away from having the latest..</div><div class="gmail_default" style="font-size:small">Failing that try the actual Raspberry gambas page<b> </b><a href="http://gambaswiki.org/wiki/install/raspbian">http://gambaswiki.org/wiki/install/raspbian</a></div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small"><b>git clone --depth=1 <a href="https://gitlab.com/gambas/gambas.git">https://gitlab.com/gambas/gambas.git</a></b><br></div><b>cd gambas<br>./reconf-all<br>./configure -C<br>make<br></b><div><b>sudo make install</b></div><div><b><br></b></div><div>T<span class="gmail_default" style="font-size:small">hat worked for me yesterday. on Debian</span></div><div><span class="gmail_default" style="font-size:small"><br></span></div><div><span class="gmail_default" style="font-size:small">I've got a couple of Raspberries here , i'll try to download/compile/install later and adjust the wiki page for you if anything needs to be amended.<br><br></span></div><div><div style="font-size:small" class="gmail_default">:)</div><div style="font-size:small" class="gmail_default">Bruce Steers</div><br></div><div><br><span class="gmail_default" style="font-size:small"></span></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Wed, 7 Oct 2020 at 16:12, Cedron Dawg <<a href="mailto:cedron@exede.net">cedron@exede.net</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">This is something I don't have the facilities, capabilities, or time to do.  However, I think this is a hugely under prioritized aspect of Gambas proliferation.<br>
<br>
For instance, I just started working with a Raspberry Pi 4 (or two).  The version of Gambas for Raspbian is 3.12.2, significantly out of date.  I also tried doing a Manjero 20 install, quite successfully.  However, there was *no* Gambas in the repository for that.  :-(  So I had to roll back to Raspbian (a much more simplistic distro) for my second Pi4.<br>
<br>
It would seem that it should be possible to store the latest Gambas "Tar balls" somewhere that could be downloaded an installed as an alternative to keeping the actual repositories up to date.<br>
<br>
I think it is entirely unreasonable to expect folks to have to learn how to do their own compiles in order to accomplish this, or force them to do the actual compiles which I understand can be quite time consuming.<br>
<br>
Thoughts?<br>
<br>
<br>
----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
</blockquote></div>